// ==== Standard POV-Ray Includes ====
#include "colors.inc"	// Standard Color definitions
#include "WOODMAPS.INC" // Basic wooden colormaps
#include "stones.INC"    // Great wooden textures created by Dan Farmer and Paul Novak

   //m mmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmm
   //DRED ONE
   //DRED ONE
   //mmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmm  
   
   
#declare Hx = 19.267          
#declare Hy = 26.240
#declare Hz = 22.261  

#declare Htx = -16.59          
#declare Hty = 51.05
#declare Htz = -11.26          
                    
#declare Feild1 = 
object {
intersection {
object {       
height_field
{
  gif    
  "dred1_1.gif"     
    
}
}
object {
box {
<0.0001, 0.0001, 0.0001>
<0.9999, 0.9999, 0.9999>
}
}
}
}

  #declare Feild2 = 
object {
intersection {
object {       
height_field
{
  gif    
  "dred1_2.gif"     
    
}
}
object {
box {
<0.0001, 0.0001, 0.0001>
<0.9999, 0.9999, 0.9999>
}
}
}
}

#declare Feild3 = 
object {
intersection {
object {       
height_field
{
  gif    
  "dred1_3.gif"     
    
}
}
object {
box {
<0.0001, 0.0001, 0.0001>
<0.9999, 0.9999, 0.9999>
}
}
}
} 
         
#declare H1 =  
       
object {
intersection {  
object {  
Feild1 
scale <Hx, Hy*256, Hz>
translate <Htx, Hty, Htz>
}   
object {
Feild2  
translate <0, -1/256, 0>
rotate <-90, 0, 0>
scale <Hx, Hy, Hz*256>
translate <Htx, Hty, Htz>
} 
} 
} 
       
#declare H12 =      
object {
intersection {
object {
H1
}
object {
Feild3 
rotate <0, -90, 0>  
rotate <0, 0, -90>
scale <Hx*256, Hy, Hz>    
translate <Htx, Hty, Htz>
}   
} 
texture {
pigment {
color rgbf <1, 1, 1, 1>
}
}  
}

#declare Dread_One_Inner =  
object {
H12     
interior {
media
{
  intervals 4
  samples 1, 2
  scattering {
  1  
   <0.25, 0.15, 0.1> 
   extinction 0.6
    }
  density {
        crackle 
        density_map {
          [0  boxed scale 1000]
          [0.4  boxed scale 1000]
          [0.41 boxed scale 0.01]
          [1 boxed scale 0.01]
   }
   scale 5
  turbulence 0.3  
  frequency 2  
  translate <20, -20, 5>
 } 
 }
 }
hollow
}             
                 
            
//mmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmm
//mmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmm            
            
#declare Feild4 = 
object {
intersection {
object {       
height_field
{
  gif    
  "dred1_12.gif"     
    
}
}
object {
box {
<0.0001, 0.0001, 0.0001>
<0.9999, 0.9999, 0.9999>
}
}
}
}

  #declare Feild5 = 
object {
intersection {
object {       
height_field
{
  gif    
  "dred1_22.gif"     
    
}
}
object {
box {
<0.0001, 0.0001, 0.0001>
<0.9999, 0.9999, 0.9999>
}
}
}
}

#declare Feild6 = 
object {
intersection {
object {       
height_field
{
  gif    
  "dred1_32.gif"     
    
}
}
object {
box {
<0.0001, 0.0001, 0.0001>
<0.9999, 0.9999, 0.9999>
}
}
}
} 
         
#declare H2 =  
object {
intersection {  
object {  
Feild4 
scale <Hx, Hy*256, Hz>
translate <Htx, Hty, Htz>
}   
object {
Feild5  
translate <0, -1/256, 0>
rotate <-90, 0, 0>
scale <Hx, Hy, Hz*256>
translate <Htx, Hty, Htz>
} 
}  
} 
   
#declare H3 =        
object {
intersection {
object {
H2
}
object {
Feild6 
rotate <0, -90, 0>  
rotate <0, 0, -90>
scale <Hx*256, Hy, Hz>    
translate <Htx, Hty, Htz>
}   
}   
texture {
pigment {
color rgbf <1, 1, 1, 1>
}
}  
}

#declare Dread_One_Outer =       
object {
difference {
object {
H3
}
object {
H12
translate <5, -50, 0>
scale 1.005
translate <-5, 50, 0>
}
interior {
media
{
  intervals 6
  samples 1, 4
  emission
  rgb <0.12, 0.08, 0.05>    
  density {
        crackle 
        density_map {
          [0  boxed scale 1000]
          [0.045  boxed scale 1000]
          [0.0451 boxed scale 0.01]
          [1 boxed scale 0.01]
   }
   scale 3
  turbulence 0.2 
  translate <5, -10, 10> 
  frequency 0.8
 }
}
}    
}
hollow
}  
                                                              

  //m mmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmm
  // CLOAK LINING
  // CLOAK LINING
  // m mmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmm  
   

                    
#declare Hx = 67.038          
#declare Hy = 84.716
#declare Hz = 37.594  

#declare Htx = -40.136         
#declare Hty = -29.356
#declare Htz = -17.093          
                    
#declare Feild1 = 
object {
intersection {
object {       
height_field
{
  gif    
  "lining1.gif"     
    
}
}
object {
box {
<0.0001, 0.0001, 0.0001>
<0.9999, 0.9999, 0.9999>
}
}
}
}

  #declare Feild2 = 
object {
intersection {
object {       
height_field
{
  gif    
  "lining2.gif"     
    
}
}
object {
box {
<0.0001, 0.0001, 0.0001>
<0.9999, 0.9999, 0.9999>
}
}
}
}

#declare Feild3 = 
object {
intersection {
object {       
height_field
{
  gif    
  "lining3.gif"     
    
}
}
object {
box {
<0.0001, 0.0001, 0.0001>
<0.9999, 0.9999, 0.9999>
}
}
}
} 
         
#declare H1 =  
       
object {
intersection {  
object {  
Feild1 
scale <Hx, Hy*256, Hz>
translate <Htx, Hty, Htz>
}   
object {
Feild2  
translate <0, -1/256, 0>
rotate <-90, 0, 0>
scale <Hx, Hy, Hz*256>
translate <Htx, Hty, Htz>
} 
} 
} 

#declare H12 =       
object {
intersection {
object {
H1
}
object {
Feild3 
rotate <0, -90, 0>  
rotate <0, 0, -90>
scale <Hx*256, Hy, Hz>    
translate <Htx, Hty, Htz>
}   
} 
texture {
pigment {
color rgbf <1, 1, 1, 1>
}
}    
}

#declare Lining_Inner = 
object {
H12   
texture {
pigment {
color rgbf <1, 1, 1, 1>
}
}   
interior {
media
{
  intervals 2
  samples 1, 1
scattering {
1
  rgb <0.05, 0.05, 0.05> 
  extinction 0.8
  }   
  density {
        crackle 
        density_map {
          [0  boxed scale 1000]
          [0.3  boxed scale 1000]
          [0.31 boxed scale 0.01]
          [1 boxed scale 0.01]
   }  
   scale 0.75
  turbulence 0.4   
  octaves 3
  omega 0.3
  lambda 1.5

  translate <-20, -20, -20> 
 } 
} 
media
{
  intervals 4
  samples 1, 2
  emission
  rgb <0.05, 0.05, 0.05> 
  density {
        crackle 
        density_map {
          [0  boxed scale 1000]
          [0.35  boxed scale 1000]
          [0.3501 boxed scale 0.01]
          [1 boxed scale 0.01]
   }  
   scale 0.75
  turbulence 0.4 
  octaves 3
  omega 0.3
  lambda 1.5
    translate <9, 5, -2>
 } 
 }
} 
hollow
}             
                 
            
//mmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmm
//mmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmm         
            
#declare Feild4 = 
object {
intersection {
object {       
height_field
{
  gif    
  "lining12.gif"     
    
}
}
object {
box {
<0.0001, 0.0001, 0.0001>
<0.9999, 0.9999, 0.9999>
}
}
}
}

  #declare Feild5 = 
object {
intersection {
object {       
height_field
{
  gif    
  "lining22.gif"     
    
}
}
object {
box {
<0.0001, 0.0001, 0.0001>
<0.9999, 0.9999, 0.9999>
}
}
}
}

#declare Feild6 = 
object {
intersection {
object {       
height_field
{
  gif    
  "lining32.gif"     
    
}
}
object {
box {
<0.0001, 0.0001, 0.0001>
<0.9999, 0.9999, 0.9999>
}
}
}
} 
         
#declare H2 =  
object {
intersection {  
object {  
Feild4 
scale <Hx, Hy*256, Hz>
translate <Htx, Hty, Htz>
}   
object {
Feild5  
translate <0, -1/256, 0>
rotate <-90, 0, 0>
scale <Hx, Hy, Hz*256>
translate <Htx, Hty, Htz>
} 
}  
} 
        
#declare H3 =       
object {
intersection {
object {
H2
}
object {
Feild6 
rotate <0, -90, 0>  
rotate <0, 0, -90>
scale <Hx*256, Hy, Hz>    
translate <Htx, Hty, Htz>
}   
} 
}

#declare Lining_Outer =
object {
difference {
object {
H3
}
object {
H12   
translate <0, -30, 5>
scale 1.005           
translate <0, 30, -5>
}  
texture {
pigment {
color rgbf <1, 1, 1, 1>
}
}
interior {
media
{
  intervals 8
  samples 1, 5
  emission
  rgb <0.15, 0.15, 0.15>    
    density {
        crackle 
        density_map {
          [0  boxed scale 1000]
          [0.03  boxed scale 1000]
          [0.031 boxed scale 0.01]
          [1 boxed scale 0.01]  
          }

   scale 1
  turbulence 0.4
  octaves 4
  omega 0.5
  lambda 1.5
  translate <20, -5, 10>
 }     
 }       
 media
{
  intervals 8
  samples 1, 5
  emission
  rgb <0.15, 0.15, 0.15>    
  density {
        crackle 
        density_map {
          [0  boxed scale 1000]
          [0.06  boxed scale 1000]
          [0.061 boxed scale 0.01]
          [1 boxed scale 0.01]  
          }

   scale 1
  turbulence 0.4
  octaves 4
  omega 0.5
  lambda 1.2
  translate <6, 2, 8>
}
}   
}
}
hollow
}                 

                                                              
